# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/pkg-config libgnutls-devel libgnutls-openssl-devel libldap-devel libncurses-devel libpopt-devel libreadline-devel libsasl2-devel
# END SourceDeps(oneline)
Name:           ldapvi
Version:        1.7
Release:        alt1_15
Summary:        An interactive LDAP client

Group:          Editors
License:        GPLv2+
URL:            http://www.lichteblau.com/ldapvi/
Source0:        http://www.lichteblau.com/download/ldapvi-%{version}.tar.gz
Patch0:         GNUmakefile.in.patch
Patch1:         %{name}-1.7-getline.patch
# discussed upstream
# http://lists.askja.de/pipermail/ldapvi/2011-January/000089.html
# but never applied
Patch2:         dont-set-encoding-in-vim-modeline.diff

BuildRequires:  openldap-devel ncurses-devel readline-devel
BuildRequires: xsltproc libxslt glib2-devel libssl-devel
%if 0%{?rhel}
BuildRequires: popt
%else
BuildRequires: popt-devel
%endif
Source44: import.info

%description
ldapvi is an interactive LDAP client for Unix terminals. Using it, you can
update LDAP entries with a text editor, which is the same as vi. Think of 
it as vipw(1) for LDAP.

%prep
%setup -q
%patch0 -p0 -b .gnumk
%patch1 -p2 -b .getline
%patch2 -p2 -b .encoding

%build
%configure
make %{?_smp_mflags}
cd manual
make manual.html


%install
make DESTDIR=%{buildroot} install


%files
%doc NEWS COPYING manual/bg.png 
%doc manual/manual.html manual/manual.css
%{_mandir}/man1/ldapvi.1*
%{_bindir}/ldapvi


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_15
- initial fc import

